# Generated by Django 4.1.4 on 2023-01-09 16:51

import uuid

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("documents", "0060_rewrite_metadata_numeric"),
    ]

    operations = [
        migrations.CreateModel(
            name="EntityType",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("name", models.CharField(max_length=250)),
                ("color", models.CharField(max_length=6, default='ff0000')),
                (
                    "corpus",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="entity_types",
                        to="documents.corpus",
                    ),
                ),
            ],
            options={
                "unique_together": {("name", "corpus")},
            },
        ),
        migrations.RenameField(
            model_name='entity',
            old_name='type',
            new_name='old_type',
        ),
        migrations.RenameField(
            model_name='entityrole',
            old_name='child_type',
            new_name='old_child_type',
        ),
        migrations.RenameField(
            model_name='entityrole',
            old_name='parent_type',
            new_name='old_parent_type',
        ),
        migrations.AddField(
            model_name="entity",
            name="type",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="entities",
                to="documents.entitytype",
                null=True,
            )
        ),
        migrations.AddField(
            model_name="entityrole",
            name="child_type",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="child_role",
                to="documents.entitytype",
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="entityrole",
            name="parent_type",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="parent_role",
                to="documents.entitytype",
                null=True,
            ),
        ),
        migrations.AlterUniqueTogether(
            name="entityrole",
            unique_together={
                ("parent_name", "child_name", "parent_type", "child_type", "corpus")
            },
        ),
    ]
