# Generated by Django 2.1.7 on 2019-07-03 14:07

import uuid

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models

import arkindex.ponos.models


def default_farm(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Agent = apps.get_model("ponos", "Agent")
    if not Agent.objects.using(db_alias).exists():
        return

    Farm = apps.get_model("ponos", "Farm")
    default_farm = Farm.objects.using(db_alias).create(name="default")
    Agent.objects.using(db_alias).all().update(farm=default_farm)


class Migration(migrations.Migration):

    dependencies = [
        ("ponos", "0009_tags"),
    ]

    operations = [
        migrations.CreateModel(
            name="Farm",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=250,
                    ),
                ),
                (
                    "seed",
                    models.CharField(
                        default=arkindex.ponos.models.generate_seed,
                        max_length=64,
                        unique=True,
                        validators=[
                            django.core.validators.RegexValidator("^[0-9a-f]{64}$")
                        ],
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="agent",
            name="farm",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                to="ponos.Farm",
                blank=True,
                null=True,
            ),
        ),
        migrations.RunPython(
            default_farm,
            reverse_code=migrations.RunPython.noop,
            elidable=True,
        ),
        migrations.AlterField(
            model_name="agent",
            name="farm",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                to="ponos.Farm",
            ),
        ),
        migrations.AddField(
            model_name="agent",
            name="public_key",
            field=models.TextField(
                default="",
            ),
            preserve_default=False,
        ),
    ]
