# Generated by Django 3.1.5 on 2021-02-23 15:52

import uuid

import django.db.models.deletion
from django.db import migrations, models

DEFAULT_FARM_ID = uuid.uuid4()


def set_default_farm(apps, schema_editor):
    Workflow = apps.get_model("ponos", "Workflow")
    Farm = apps.get_model("ponos", "Farm")
    workflows = Workflow.objects.all()
    if not workflows.exists():
        return
    default_farm = Farm.objects.order_by().first()
    if not default_farm:
        # Create a default farm if required
        default_farm = Farm.objects.create(name="Default farm")
    workflows.update(farm_id=default_farm.id)


class Migration(migrations.Migration):

    dependencies = [
        ("ponos", "0024_task_requires_gpu"),
    ]

    operations = [
        migrations.AddField(
            model_name="workflow",
            name="farm",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT, null=True, to="ponos.farm"
            ),
        ),
        migrations.RunPython(
            set_default_farm,
            reverse_code=migrations.RunPython.noop,
            # No workflow exists initially
            elidable=True,
        ),
        migrations.AlterField(
            model_name="workflow",
            name="farm",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="workflows",
                to="ponos.farm",
            ),
        ),
    ]
