# Generated by Django 4.1.4 on 2023-01-09 15:42

from django.db import migrations, models


def check_no_null_process_id(apps, schema_editor):
    WorkerActivity = apps.get_model('process', 'WorkerActivity')
    assert not WorkerActivity.objects.filter(process_id=None).exists(), (
        'Some WorkerActivities exist without a `process_id`. '
        'Please either link them to a process or delete them before running this migration.'
    )


class Migration(migrations.Migration):

    dependencies = [
        ('process', '0062_workeractivity_started'),
    ]

    operations = [
        migrations.RunPython(
            check_no_null_process_id,
            reverse_code=migrations.RunPython.noop,
            elidable=True,
        ),
        migrations.AlterField(
            model_name='workeractivity',
            name='process',
            field=models.ForeignKey(
                on_delete=models.CASCADE,
                related_name='activities',
                to='process.Process',
            ),
        ),
    ]
