from django.urls import path

from arkindex.ponos.api import (
    AgentActions,
    AgentDetails,
    AgentRegister,
    AgentsState,
    AgentTokenRefresh,
    FarmList,
    PublicKeyEndpoint,
    SecretDetails,
    TaskArtifactDownload,
    TaskArtifacts,
    TaskCreate,
    TaskDefinition,
    TaskDetailsFromAgent,
    TaskUpdate,
    WorkflowDetails,
)

ponos = [
    path("workflow/<uuid:pk>/", WorkflowDetails.as_view(), name="workflow-details"),
    path("task/", TaskCreate.as_view(), name="task-create"),
    path("task/<uuid:pk>/", TaskUpdate.as_view(), name="task-update"),
    path(
        "task/<uuid:pk>/from-agent/",
        TaskDetailsFromAgent.as_view(),
        name="task-details",
    ),
    path(
        "task/<uuid:pk>/definition/",
        TaskDefinition.as_view(),
        name="task-definition",
    ),
    path(
        "task/<uuid:pk>/artifacts/", TaskArtifacts.as_view(), name="task-artifacts"
    ),
    path(
        "task/<uuid:pk>/artifact/<path:path>",
        TaskArtifactDownload.as_view(),
        name="task-artifact-download",
    ),
    path("agent/", AgentRegister.as_view(), name="agent-register"),
    path("agent/<uuid:pk>/", AgentDetails.as_view(), name="agent-details"),
    path("agent/refresh/", AgentTokenRefresh.as_view(), name="agent-token-refresh"),
    path("agent/actions/", AgentActions.as_view(), name="agent-actions"),
    path("agents/", AgentsState.as_view(), name="agents-state"),
    path("public-key/", PublicKeyEndpoint.as_view(), name="public-key"),
    path("secret/<path:name>", SecretDetails.as_view(), name="secret-details"),
    path("farms/", FarmList.as_view(), name="farm-list"),
]
