SELECT "documents_corpus"."created",
       "documents_corpus"."updated",
       "documents_corpus"."id",
       "documents_corpus"."name",
       "documents_corpus"."description",
       "documents_corpus"."top_level_type_id",
       "documents_corpus"."public",
       "documents_corpus"."indexable"
FROM "documents_corpus"
WHERE "documents_corpus"."id" = '{corpus_id}'::uuid
LIMIT 21;

UPDATE "documents_corpus"
SET "top_level_type_id" = NULL
WHERE "documents_corpus"."id" = '{corpus_id}'::uuid;

SELECT "django_content_type"."id",
       "django_content_type"."app_label",
       "django_content_type"."model"
FROM "django_content_type"
WHERE ("django_content_type"."app_label" = 'documents'
       AND "django_content_type"."model" = 'corpus')
LIMIT 21;

DELETE
FROM "documents_allowedmetadata"
WHERE "documents_allowedmetadata"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "process_corpusworkerversion"
WHERE "process_corpusworkerversion"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "process_processelement"
WHERE "process_processelement"."id" IN
        (SELECT U0."id"
         FROM "process_processelement" U0
         INNER JOIN "process_process" U1 ON (U0."process_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "process_processelement"
WHERE "process_processelement"."id" IN
        (SELECT U0."id"
         FROM "process_processelement" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "process_process_files"
WHERE "process_process_files"."id" IN
        (SELECT U0."id"
         FROM "process_process_files" U0
         INNER JOIN "process_process" U1 ON (U0."process_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "process_process_files"
WHERE "process_process_files"."id" IN
        (SELECT U0."id"
         FROM "process_process_files" U0
         INNER JOIN "process_datafile" U1 ON (U0."datafile_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "process_workeractivity"
WHERE "process_workeractivity"."id" IN
        (SELECT U0."id"
         FROM "process_workeractivity" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         INNER JOIN "process_process" U3 ON (U0."process_id" = U3."id")
         WHERE (U1."corpus_id" = '{corpus_id}'::uuid
		OR U3."corpus_id" = '{corpus_id}'::uuid));

DELETE
FROM "process_datafile"
WHERE "process_datafile"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "documents_metadata"
WHERE "documents_metadata"."id" IN
        (SELECT U0."id"
         FROM "documents_metadata" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "documents_entitylink"
WHERE "documents_entitylink"."id" IN
        (SELECT U0."id"
         FROM "documents_entitylink" U0
         INNER JOIN "documents_entityrole" U1 ON (U0."role_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "documents_entityrole"
WHERE "documents_entityrole"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "documents_transcriptionentity"
WHERE "documents_transcriptionentity"."id" IN
        (SELECT U0."id"
         FROM "documents_transcriptionentity" U0
         INNER JOIN "documents_entity" U1 ON (U0."entity_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "documents_transcriptionentity"
WHERE "documents_transcriptionentity"."id" IN
        (SELECT U0."id"
         FROM "documents_transcriptionentity" U0
         INNER JOIN "documents_transcription" U1 ON (U0."transcription_id" = U1."id")
         INNER JOIN "documents_element" U2 ON (U1."element_id" = U2."id")
         WHERE U2."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "documents_entity"
WHERE "documents_entity"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "documents_entitytype"
WHERE "documents_entitytype"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "documents_classification"
WHERE "documents_classification"."id" IN
        (SELECT U0."id"
         FROM "documents_classification" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "documents_mlclass"
WHERE "documents_mlclass"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "documents_transcription"
WHERE "documents_transcription"."id" IN
        (SELECT U0."id"
         FROM "documents_transcription" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "documents_elementpath"
WHERE "documents_elementpath"."id" IN
        (SELECT U0."id"
         FROM "documents_elementpath" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "documents_selection"
WHERE "documents_selection"."id" IN
        (SELECT U0."id"
         FROM "documents_selection" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "documents_element"
WHERE "documents_element"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "documents_elementtype"
WHERE "documents_elementtype"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "users_right"
WHERE ("users_right"."content_id" = '{corpus_id}'::uuid
       AND "users_right"."content_type_id" = 1);

DELETE
FROM "documents_corpusexport"
WHERE "documents_corpusexport"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "process_workerrun"
WHERE "process_workerrun"."id" IN
        (SELECT U0."id"
         FROM "process_workerrun" U0
         INNER JOIN "process_process" U1 ON (U0."process_id" = U1."id")
         WHERE U1."corpus_id" = '{corpus_id}'::uuid);

DELETE
FROM "process_process"
WHERE "process_process"."corpus_id" = '{corpus_id}'::uuid;

DELETE
FROM "documents_corpus"
WHERE "documents_corpus"."id" = '{corpus_id}'::uuid
