# Generated by Django 3.1.3 on 2020-12-09 08:51

import uuid

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('users', '0009_membership_uuid_and_validation'),
    ]

    operations = [
        migrations.CreateModel(
            name='Right',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('content_id', models.UUIDField(editable=False)),
                ('level', models.PositiveIntegerField(help_text='Maximum privilege level.', validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(100)])),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype')),
            ],
        ),
        migrations.RemoveField(
            model_name='group',
            name='users',
        ),
        migrations.DeleteModel(
            name='Membership',
        ),
        migrations.AddField(
            model_name='right',
            name='group',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rights', to='users.group'),
        ),
        migrations.AddField(
            model_name='right',
            name='user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rights', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddConstraint(
            model_name='right',
            constraint=models.UniqueConstraint(fields=('user', 'group', 'content_id', 'content_type'), name='right_unique_target'),
        ),
        migrations.AddConstraint(
            model_name='right',
            constraint=models.CheckConstraint(check=models.Q(models.Q(('group_id__isnull', False), ('user_id__isnull', True)), models.Q(('group_id__isnull', True), ('user_id__isnull', False)), _connector='OR'), name='user_xor_group'),
        ),
    ]
