# Generated by Django 4.0.1 on 2022-04-08 13:50

from django.db import migrations, models

FORWARD_SQL = [
    """
    WITH duplicate_rights AS (
        SELECT id, ROW_NUMBER() OVER (
            PARTITION BY group_id, content_type_id, content_id
            ORDER BY level DESC
        ) AS number
        FROM users_right
        WHERE user_id IS NULL
    )
    DELETE FROM users_right
    USING duplicate_rights
    WHERE duplicate_rights.id = users_right.id
    AND duplicate_rights.number > 1
    """,
    """
    WITH duplicate_rights AS (
        SELECT id, ROW_NUMBER() OVER (
            PARTITION BY user_id, content_type_id, content_id
            ORDER BY level DESC
        ) AS number
        FROM users_right
        WHERE group_id IS NULL
    )
    DELETE FROM users_right
    USING duplicate_rights
    WHERE duplicate_rights.id = users_right.id
    AND duplicate_rights.number > 1
    """
]


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0016_alter_user_email_user_email_unique'),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name='right',
            name='right_unique_target',
        ),
        migrations.RunSQL(
            sql=FORWARD_SQL,
            reverse_sql=migrations.RunSQL.noop,
        ),
        migrations.AddConstraint(
            model_name='right',
            constraint=models.UniqueConstraint(
                condition=models.Q(user__isnull=False),
                fields=('user', 'content_id', 'content_type'),
                name='right_user_unique_target',
            ),
        ),
        migrations.AddConstraint(
            model_name='right',
            constraint=models.UniqueConstraint(
                condition=models.Q(group__isnull=False),
                fields=('group', 'content_id', 'content_type'),
                name='right_group_unique_target',
            ),
        ),
    ]
